Search
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce - WordPress Smush Image: directory traversal

December 2017 by Vigil@nce

This bulletin was written by Vigil@nce : https://vigilance.fr/offer

SYNTHESIS OF THE VULNERABILITY

An attacker can traverse directories of WordPress Smush Image, in order to read a file outside the service root path.

Impacted products: WordPress Plugins not comprehensive.

Severity: 2/4.

Creation date: 05/10/2017.

DESCRIPTION OF THE VULNERABILITY

The Smush Image plugin can be installed on WordPress.

However, user’s data are directly inserted in an access path. Sequences such as "/.." can thus be used to go in the upper directory.

An attacker can therefore traverse directories of WordPress Smush Image, in order to read a file outside the service root path.

ACCESS TO THE COMPLETE VIGIL@NCE BULLETIN

https://vigilance.fr/vulnerability/...




See previous articles

    

See next articles